Bug 210029 - When a form widget is focused, Ctrl does not deactivate access keys
Summary: When a form widget is focused, Ctrl does not deactivate access keys
Status: RESOLVED FIXED
Alias: None
Product: konqueror
Classification: Applications
Component: khtml forms (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konqueror Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-09 23:15 UTC by Grósz Dániel
Modified: 2010-02-20 02:17 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Grósz Dániel 2009-10-09 23:15:21 UTC
Version:            (using Devel)
OS:                Linux
Installed from:    Compiled sources

When a form widget (textarea, text input, button ...) is focused, Ctrl activates access keys but it does not deactivate them: if they are activated and I press Ctrl, they disappear for a moment and then they appear again as if I pressed it twice.
Comment 1 Grósz Dániel 2009-10-09 23:19:18 UTC
It is v 4.3.2, there is no category for it yet.
Comment 2 Germain Garand 2010-02-13 18:04:24 UTC
SVN commit 1089663 by ggarand:

fix access keys not being de-activable when a form element has input focus.

BUG: 210029
BUG: 161494

 M  +8 -5      khtmlview.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1089663
Comment 3 Germain Garand 2010-02-20 02:17:02 UTC
SVN commit 1093040 by ggarand:

automatically merged revision 1089663:
fix access keys not being de-activable when a form element has input focus.

BUG: 210029

 M  +8 -5      khtmlview.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1093040